Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.CertificateEncryptData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| CertificateEncryptData (bool is_encrypt_metadata, SecurityHandler.CipherType cipher, byte[][] envelopes)
| Constructor, with parameters. More...
| CertificateEncryptData ()
| Constructor.
| CertificateEncryptData (CertificateEncryptData other)
| Constructor, with another certificate encrypt data object. More...
void | Set (bool is_encrypt_metadata, SecurityHandler.CipherType cipher, byte[][] envelopes)
| Set value. More...

## Properties
SecurityHandler.CipherType | cipher`[get, set]`
| Cipher type. Please refer to values starting from foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 and this should be one of these values except foxit.pdf.SecurityHandler.CipherType.e_CipherNone .
byte [][] | envelopes`[get, set]`
| A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.
bool | is_encrypt_metadata`[get, set]`
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.

## Detailed Description

This class represents some data used for class CertificateSecurityHandler .

## Constructor & Destructor Documentation

## ◆ CertificateEncryptData() [1/2]

foxit.pdf.CertificateEncryptData.CertificateEncryptData | ( | bool | is_encrypt_metadata,
|  | SecurityHandler.CipherType | cipher,
|  | byte | envelopes[][]
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 and this should be one of these values except foxit.pdf.SecurityHandler.CipherType.e_CipherNone .
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

## ◆ CertificateEncryptData() [2/2]

foxit.pdf.CertificateEncryptData.CertificateEncryptData | ( | CertificateEncryptData | other | ) |
| inline

Constructor, with another certificate encrypt data object.

Parameters

  [in] | other | Another certificate encrypt data object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.CertificateEncryptData.Set | ( | bool | is_encrypt_metadata,
|  | SecurityHandler.CipherType | cipher,
|  | byte | envelopes[][]
| ) |  |
| inline

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 and this should be one of these values except foxit.pdf.SecurityHandler.CipherType.e_CipherNone .
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

Returns
  None.